Subject: Re: 23.0.60; (minor) minibuffer file-name completion issue for files containing $

From: Chong Yidong <[email-masked]>
Date: Thu, 28 Aug 2008 10:15:29 -0400

"Tim Van Holder" <[email-masked]> writes:

> On Wed, Aug 27, 2008 at 7:19 PM, Chong Yidong <[email-masked]> wrote:
>> I've checked in a fix that should allow completions to work properly
>> with files containing `$', including proper highlighting of the
>> completions buffer.
>
> Unfortunately, after a fresh build this morning:
>   make maintainer-clean
>   /path/to/sources/configure --with-x
>   make
>   emacs -Q),
> I still get the behaviour I saw yesterday: once it reaches
> "/foo/$$blah." it claims there are no
> completions.

What is your precise recipe?  I can't reproduce the problem over here:

touch \$blah.quux
touch \$blah.xyzzy
emacs -Q
M-x shell RET
cd $$b TAB     -> completes to \$blah.
TAB            -> completions window opens up